2

I'm trying to follow the instructions from Instructables to build an AlexaPi.

When following step 3, I get the error:

matrix-creator-init : Depends: matrix-creator-openocd but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
  • Not sure what the above means - installed a fresh Raspbian Jesse from 9/25 and saw the same error. Am resolving via the temporary work-around as suggested. Perhaps you mean that the Alexa directions need to be modified to add the old jesse repo until this bug is worked out (?) – Charlie Galliher Sep 27 '17 at 13:27
1

This appears to be a known bug with Raspbian Stretch. The proposed workaround, contributed by a user, is:

As a temporary workaround, you can add the old jessie repo. echo "deb http://mirrordirector.raspbian.org/raspbian/ jessie main contrib non-free rpi"|sudo tee /etc/apt/sources.list.d/jessie.list

Alternatively (and probably more safely), you could just install a clean Raspbian Jessie image on your Pi, and the dependencies should be satisfied as expected when following the instructions.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.